%define version 0.52
%define name gnumeric
%define	prefix /usr
%define sysconfdir /etc
%define	localstatedir /var/lib

Summary: A full-featured spreadsheet for GNOME.
Name: %{name}
Version: %{version}
Release: 2mdk
Copyright: GPL
Group: Office
Source: ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
URL: http://www.gnome.org/gnumeric/
Icon: %{name}-logo.xpm
BuildRoot: %{_tmppath}/%{name}-buildroot
Docdir: %{prefix}/doc
Requires: gnome-libs >= 1.0.53 libglade >= 0.11 guile >= 1.3 gnome-print >= 0.18 gtk+ >= 1.2.7 gnome-core

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of GUI
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. Gnumeric is a spreadsheet program for GNOME. This
program is intended to be a replacement for a commercial spreadsheet, so quite
a bit of work has gone into the program.

Install gnumeric if you want to use a spreadsheet program with GNOME.

%prep
%setup -q

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir}	\
	--localstatedir=%{localstatedir}	\
	--without-bonobo --without-gb
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir}

#broken right now
rm -f  $RPM_BUILD_ROOT%{prefix}/lib/gnumeric/plugins/%{version}/libgnum_python.*


install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
/sbin/ldconfig
## menu
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi

%files
%defattr(-, root, root)
%doc HACKING AUTHORS ChangeLog NEWS README COPYING TODO
%{prefix}/bin/*
%{prefix}/lib/gnumeric/plugins/*
%{prefix}/share/locale/*/*/*
# %{prefix}/share/gnome/apps/*/gnumeric.desktop
%{prefix}/share/gnome/help/gnumeric
%{prefix}/share/idl/Gnumeric.idl
%{prefix}/share/mc/templates/*
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*
%{prefix}/share/gnumeric
%{sysconfdir}/CORBA/servers/*
/usr/lib/menu/*
/usr/share/icons/*.xpm
/usr/share/icons/mini/*.xpm


%changelog
* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-2mdk
- added a 32x32 icon for a better-looking KDE docking
- removed gnumeric.desktop because we don't need it, we have menu for that
- fixed /usr/share/locale/.. directory owns

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-1mdk
- took srpm from Helix [grrr.. they don't provide changelog, why?]
- add menu entry, with icon
